import { NcBaseErrorv2, NcErrorArgs } from '../../lib/error/nc-base.error';
import { NcErrorType } from '../../lib/globals';
export declare class NcErrorCodexManager {
    constructor();
    errorCodexMap: Partial<Record<NcErrorType, {
        message: string | ((...params: string[]) => string);
        code: number;
        error_code?: NcErrorType;
    }>>;
    setErrorCodex(errorType: NcErrorType, handler: {
        message: string | ((...params: string[]) => string);
        code: number;
        error_code?: NcErrorType;
    }): void;
    setErrorCodexes(handlers: Partial<Record<NcErrorType, {
        message: string | ((...params: string[]) => string);
        code: number;
        error_code?: NcErrorType;
    }>>): void;
    generateError(error: NcErrorType, args?: NcErrorArgs): NcBaseErrorv2 | {
        message: string;
        code: number;
        details: any;
    };
}
