export declare enum SyncType {
    Full = "full",
    Incremental = "incremental"
}
export declare enum SyncTrigger {
    Manual = "manual",
    Schedule = "schedule",
    Webhook = "webhook"
}
export declare enum OnDeleteAction {
    Delete = "delete",
    MarkDeleted = "mark_deleted"
}
export declare enum SyncCategory {
    TICKETING = "ticketing",
    CRM = "crm",
    FILE_STORAGE = "file_storage",
    CUSTOM = "custom"
}
export declare const SyncTriggerMeta: {
    manual: {
        value: SyncTrigger;
        label: string;
        description: string;
    };
    schedule: {
        value: SyncTrigger;
        label: string;
        description: string;
    };
    webhook: {
        value: SyncTrigger;
        label: string;
        description: string;
    };
};
export declare const OnDeleteActionMeta: {
    delete: {
        value: OnDeleteAction;
        label: string;
        description: string;
    };
    mark_deleted: {
        value: OnDeleteAction;
        label: string;
        description: string;
    };
};
export declare const SyncTypeMeta: {
    full: {
        value: SyncType;
        label: string;
        description: string;
    };
    incremental: {
        value: SyncType;
        label: string;
        description: string;
    };
};
export declare const SyncCategoryMeta: {
    ticketing: {
        value: SyncCategory;
        label: string;
        description: string;
        icon: string;
    };
    crm: {
        value: SyncCategory;
        label: string;
        description: string;
        icon: string;
    };
    file_storage: {
        value: SyncCategory;
        label: string;
        description: string;
        icon: string;
    };
    custom: {
        value: SyncCategory;
        label: string;
        description: string;
        icon: string;
    };
};
export declare enum TARGET_TABLES {
    TICKETING_TICKET = "ticketing_ticket",
    TICKETING_USER = "ticketing_user",
    TICKETING_COMMENT = "ticketing_comment",
    TICKETING_TEAM = "ticketing_team"
}
export declare const TARGET_TABLES_META: {
    ticketing_ticket: {
        category: SyncCategory;
        value: TARGET_TABLES;
        icon: string;
        label: string;
        description: string;
        required: boolean;
    };
    ticketing_user: {
        category: SyncCategory;
        value: TARGET_TABLES;
        icon: string;
        label: string;
        description: string;
        required: boolean;
    };
    ticketing_comment: {
        category: SyncCategory;
        value: TARGET_TABLES;
        icon: string;
        label: string;
        description: string;
        required: boolean;
    };
    ticketing_team: {
        category: SyncCategory;
        value: TARGET_TABLES;
        icon: string;
        label: string;
        description: string;
        required: boolean;
    };
};
